<?php

declare(strict_types=1);
/**
 * Shopware 5
 * Copyright (c) shopware AG
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Shopware" is a registered trademark of shopware AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

namespace Shopware\Tests\Functional\Regressions;

use Enlight_Components_Mail;
use PHPUnit\Framework\TestCase;
use Shopware\Tests\Functional\Traits\ContainerTrait;

class Ticket5217Test extends TestCase
{
    use ContainerTrait;

    /**
     * Test case method
     */
    public function testMailTransport(): void
    {
        $mailTransport = $this->getContainer()->get('mailtransport');

        $mail = new Enlight_Components_Mail();
        $mail->setBodyText('Test Hello');
        $mail->addTo('test@example.com');

        $mail = $mail->send($mailTransport);
        static::assertInstanceOf('Zend_Mail', $mail);
    }
}
